import { APIUrlGenerator, httpGetRequest } from "@/utils/baseHttpService";
import { API_ROUTES } from "@/constant/routes";

export const getDiscountDraftDetail = async (id: string) => {
  const response = await httpGetRequest(
    APIUrlGenerator(API_ROUTES.GET_DISCOUNT_DETAIL(id))
  );
  return response.data;
};

export const getDraftDetail = async (id: string) => {
  const response = await httpGetRequest(
    APIUrlGenerator(API_ROUTES.GET_DRAFT_DETAIL(id))
  );
  return response.data;
};
